// import typescript from 'rollup-plugin-typescript2';
import ts from "@wessberg/rollup-plugin-ts";
import alias from '@rollup/plugin-alias';
import vue from 'rollup-plugin-vue';

export default {
  input: 'src/index.ts',
  output: {
    dir: 'dist',
    format: 'cjs'
  },
  plugins: [
    ts({
      tsconfig: "tsconfig.json",
      browserslist: false,
    }),
    alias({ entries: [{ find:/^@\/(.+)/, replacement: './$1' }] }),
    vue({ css: true, compileTemplate: true })
  ]
};