import components from './components';

/**
 * Install all components
 *
 * @param  {Vue}  Vue The Vue object
 * @return {void}
 */
export function install(Vue:any) {
  Object.keys(components).forEach((name) => {
    Vue.component(name, (components as any)[name]);
  });
}

// Export each components separately
export * from './components';

// Export the install function as default
export default install;
